# The base path
export PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:$PATH

# The scripts path
export PATH=$DOTFILES/zsh/bin:$PATH
if [ -d "$HOME/.scripts" ]; then
    export PATH=$HOME/.scripts:$PATH
fi

# Rust path
if [ -d $HOME/.cargo ]; then
    export PATH=$HOME/.cargo/bin:$PATH
    # Use sccache if available
    command -v sccache > /dev/null 2>&1

    if [ $? -eq 0 ]; then
        export RUSTC_WRAPPER=sccache
    fi
fi

# Wasmer path
if [ -d $HOME/.wasmer ]; then
    export WASMER_DIR="$HOME/.wasmer"
    [ -s "$WASMER_DIR/wasmer.sh" ] && source "$WASMER_DIR/wasmer.sh"  # This loads wasmer
fi

# Node path
if [ -d $HOME/.npmbin ]; then
    export PATH=$HOME/.npmbin/bin:$PATH
fi

# LD_LIBRARY_PATH: I don't know why there is this line here but I'm too scared
# to delete it
export LD_LIBRARY_PATH=/usr/lib:$LD_LIBRARY_PATH

# Texmf home: hidden directory
export TEXMFHOME=$HOME/.texmf

# My git directory: where I want to clone all my repos
export GCLONE_PATH=~/git
